Crypto Market Overview API

Snapshot pasar crypto (Binance spot USDT): breadth advance/decline, top gainer/loser, dan quote per aset beserta indikator RSI, SMA, EMA, dan MACD.

Base Information

  • BASE_URL_API: https://api.maelyn.eu/api
  • Path / Endpoint: /financial/crypto/market-overview
  • Method: GET
  • Credit Usage: 5

Authentication

x-maelyn-auth: YOUR_API_KEY

Description

Endpoint ini mengambil gambaran pasar crypto dari Binance spot (pasangan USDT): jumlah pair naik/turun, total volume quote, top 5 gainer/loser, dan detail tiap aset (harga, perubahan 24 jam, volume, RSI 14, SMA/EMA 20, sinyal MACD, trend, momentum).

Query Parameters

NameTypeRequiredDescription
symbolsstringNoSimbol dipisah koma, BTC otomatis jadi BTCUSDT (max 20). Default: top 15 aset.

Example Usage

1. Overview default

GET /financial/crypto/market-overview

2. Aset custom

GET /financial/crypto/market-overview?symbols=BTC,ETH,SOL

Success Response

{
  "success": true,
  "data": {
    "market": {
      "total_pairs": 708,
      "advance": 354,
      "decline": 302,
      "flat": 52,
      "total_quote_volume_usdt": 7094402102,
      "top_gainers": [
        { "symbol": "CREAMUSDT", "price": 2.1, "changePct": 65.354, "volumeQuote": 276098.07 }
      ],
      "top_losers": [
        { "symbol": "NFPUSDT", "price": 0.00181, "changePct": -65.849, "volumeQuote": 3834192.09 }
      ]
    },
    "assets": [
      {
        "symbol": "BTCUSDT",
        "price": 84074.01,
        "prevClose": 83900.0,
        "changePct": 0.21,
        "high24h": 84500.0,
        "low24h": 83200.0,
        "volumeQuote": 1234567890.0,
        "rsi": 49.7,
        "sma20": 84007.27,
        "ema20": 84067.32,
        "macd_signal": "Bullish",
        "trend": "UP",
        "momentum": "Neutral"
      }
    ],
    "failed_symbols": [],
    "total": 15,
    "disclaimer": "Data untuk informasi saja, bukan saran investasi."
  }
}

Error Response

{
  "success": false,
  "error": "UPSTREAM_UNAVAILABLE",
  "message": "Layanan data pasar sedang tidak tersedia, coba lagi."
}

Playground